﻿using System;
using System.Collections.Generic;
using Syncfusion.SfRotator.XForms;
using Xamarin.Forms;

namespace ForumTesting1
{
	public partial class ForumTesting1Page : ContentPage
	{
		public ForumTesting1Page()
		{
			InitializeComponent();
			SfRotator rotator = new SfRotator()
			{
				NavigationStripMode = NavigationStripMode.Dots,
				NavigationDelay = 2000,
				NavigationDirection = NavigationDirection.Horizontal,
				NavigationStripPosition = NavigationStripPosition.Bottom,
				EnableAutoPlay = true,
				EnableLooping = true,
				EnableSwiping = true,
				Margin = new Thickness(30, 10),
				VerticalOptions = LayoutOptions.Start,
				HorizontalOptions = LayoutOptions.Center,
				HeightRequest = Device.Idiom == TargetIdiom.Phone ? 300 : 500,
				WidthRequest = Device.Idiom == TargetIdiom.Phone ? 300 : 500

			};

			SfRotatorItem rotatorItem = new SfRotatorItem();
			rotatorItem.Image = "movie1.png";
			rotator.DataSource.Add(rotatorItem);

			SfRotatorItem rotatorItem1 = new SfRotatorItem();
			rotatorItem1.Image = "movie2.png";
			rotator.DataSource.Add(rotatorItem1);

			Content = rotator;
		}
	}

}
